package com.mx.dla.dda.factura.ws.dtos;

import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

/**
 * 
 * @author Mr Kings
 *
 */
public class FacturaDTO extends BaseDTO {

	private static final long serialVersionUID = 6574395234950791554L;
	
	private Integer idFactura;
	private Date fecha;
	private String sociedad;
	private String referencia;
	private String indicador;
	private String tipoDoc;
	private String fechaContabilidad;
	private String fechaFactura;
	private String moneda;
	private String texto;
	private String monto;
	private String estatusDda;
	private String rFactura;
	private String rEstatus;
	private String rMensaje;

	/**
	 * @return the idFactura
	 */
	public Integer getIdFactura() {
		return idFactura;
	}
	/**
	 * @param idFactura the idFactura to set
	 */
	public void setIdFactura(Integer idFactura) {
		this.idFactura = idFactura;
	}
	/**
	 * @return the fecha
	 */
	public Date getFecha() {
		return fecha;
	}
	/**
	 * @param fecha the fecha to set
	 */
	public void setFecha(Date fecha) {
		this.fecha = fecha;
	}
	/**
	 * @return the sociedad
	 */
	public String getSociedad() {
		return sociedad;
	}
	/**
	 * @param sociedad the sociedad to set
	 */
	public void setSociedad(String sociedad) {
		this.sociedad = sociedad;
	}
	/**
	 * @return the referencia
	 */
	public String getReferencia() {
		return referencia;
	}
	/**
	 * @param referencia the referencia to set
	 */
	public void setReferencia(String referencia) {
		this.referencia = referencia;
	}
	/**
	 * @return the indicador
	 */
	public String getIndicador() {
		return indicador;
	}
	/**
	 * @param indicador the indicador to set
	 */
	public void setIndicador(String indicador) {
		this.indicador = indicador;
	}
	/**
	 * @return the tipoDoc
	 */
	public String getTipoDoc() {
		return tipoDoc;
	}
	/**
	 * @param tipoDoc the tipoDoc to set
	 */
	public void setTipoDoc(String tipoDoc) {
		this.tipoDoc = tipoDoc;
	}
	/**
	 * @return the fechaContabilidad
	 */
	public String getFechaContabilidad() {
		return fechaContabilidad;
	}
	/**
	 * @param fechaContabilidad the fechaContabilidad to set
	 */
	public void setFechaContabilidad(String fechaContabilidad) {
		this.fechaContabilidad = fechaContabilidad;
	}
	/**
	 * @return the fechaFactura
	 */
	public String getFechaFactura() {
		return fechaFactura;
	}
	/**
	 * @param fechaFactura the fechaFactura to set
	 */
	public void setFechaFactura(String fechaFactura) {
		this.fechaFactura = fechaFactura;
	}
	/**
	 * @return the moneda
	 */
	public String getMoneda() {
		return moneda;
	}
	/**
	 * @param moneda the moneda to set
	 */
	public void setMoneda(String moneda) {
		this.moneda = moneda;
	}
	/**
	 * @return the texto
	 */
	public String getTexto() {
		return texto;
	}
	/**
	 * @param texto the texto to set
	 */
	public void setTexto(String texto) {
		this.texto = texto;
	}
	/**
	 * @return the monto
	 */
	public String getMonto() {
		return monto;
	}
	/**
	 * @param monto the monto to set
	 */
	public void setMonto(String monto) {
		this.monto = monto;
	}
	/**
	 * @return the estatusDda
	 */
	public String getEstatusDda() {
		return estatusDda;
	}
	/**
	 * @param estatusDda the estatusDda to set
	 */
	public void setEstatusDda(String estatusDda) {
		this.estatusDda = estatusDda;
	}
	/**
	 * @return the rFactura
	 */
	public String getrFactura() {
		return rFactura;
	}
	/**
	 * @param rFactura the rFactura to set
	 */
	public void setrFactura(String rFactura) {
		this.rFactura = rFactura;
	}
	/**
	 * @return the rEstatus
	 */
	public String getrEstatus() {
		return rEstatus;
	}
	/**
	 * @param rEstatus the rEstatus to set
	 */
	public void setrEstatus(String rEstatus) {
		this.rEstatus = rEstatus;
	}
	/**
	 * @return the rMensaje
	 */
	public String getrMensaje() {
		return rMensaje;
	}
	/**
	 * @param rMensaje the rMensaje to set
	 */
	public void setrMensaje(String rMensaje) {
		this.rMensaje = rMensaje;
	}
	
}
